package com.ruoyi.record.domain.VO;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.record.domain.RecordBusbarAlarm;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;


public class RecordBusbarAlarmCountResult extends RecordBusbarAlarm {
    @JsonFormat(pattern = "yyyy-MM")
    private Date recordDate;

    private int alarmCount;

    public Date getRecordDate() {
        return recordDate;
    }
    public void setRecordDate(Date recordDate) {
        this.recordDate = recordDate;
    }
    public int getAlarmCount() {
        return alarmCount;
    }

    public void setAlarmCount(int alarmCount) {
        this.alarmCount = alarmCount;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)

                .append("recordDate", getRecordDate())
                .append("alarmCount", getAlarmCount())
                .toString();
    }
}
